Page MenuHomePhabricator

Talk does not refresh list when you add a new topic
Closed, ResolvedPublic2 Estimated Story Points

Description

Login
Go to a new page
Click talk button
Click add topic
Type jibberish in each box.
Hit save
Toast saying "New topic added to talk page" shows but the topic is not linked in the list
I have to hard refresh to see it

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 18 2016, 10:46 AM
ovasileva triaged this task as Medium priority.Nov 23 2016, 5:17 PM
ovasileva moved this task from Incoming to Upcoming on the Readers-Web-Backlog board.
ovasileva set the point value for this task to 2.Dec 14 2016, 4:25 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 7 2017, 7:46 PM
phuedx added a subscriber: phuedx.

I'm moving this to Triaged but Future as it's been in Sprint +1 for 5 months.

Change 354298 had a related patch set uploaded (by Bmansurov; owner: Bmansurov):
[mediawiki/extensions/MobileFrontend@master] Display newly added talk topic

https://gerrit.wikimedia.org/r/354298

Jdlrobson reassigned this task from bmansurov to ABorbaWMF.May 19 2017, 9:01 AM
Jdlrobson added a subscriber: bmansurov.

I've verified the fix for the talk page locally however sadly this didn't fix T163121 :/
Over to you Anthony. Let us know if you find any other bugs in the talk overlay.

Change 354298 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Display newly added talk topic

https://gerrit.wikimedia.org/r/354298

I took a look on Beta on a variety of devices and browsers using browserstack. I was able to add discussion topics and view them immediately.

ovasileva closed this task as Resolved.May 20 2017, 8:22 AM